<?php

namespace HCM\FPA\ObrigacaoLegal\Dirf\Registros;

use HCM\FPA\ObrigacaoLegal\Dirf\Registros\RegistroDIRF;

class RegistroRTDP extends RegistroDIRF{

    private function _geraRegistro($tpRegistro, $remuneracao){
        // Ordem 1
        $this->atribuiDadoDirf($tpRegistro);

        // Ordem 2 - 14
        //foreach($remuneracao as $mes => $valor){
        for ($mes = 1; $mes <= 13; $mes++) {
            $this->atribuiDadoDirf($remuneracao[$mes], parent::NUMERICO);
        }
    }

    public function geraRegistroRTDP($remuneracao){
        $this->_geraRegistro(parent::REGISTRO_RTDP, $remuneracao);
    }

}